Change log for appstream-glib package in Debian

142 of 42 results
Published in buster-release on 2018-12-11
Published in sid-release on 2018-12-06
appstream-glib (0.7.14-1) unstable; urgency=medium

  * Team upload
  * New upstream version: 0.7.14
  * Update .symbols file

 -- Jeremy Bicha <email address hidden>  Wed, 05 Dec 2018 16:29:52 -0500

Available diffs

Superseded in buster-release on 2018-12-11
Superseded in sid-release on 2018-12-07
appstream-glib (0.7.12-1) unstable; urgency=medium

  * New upstream version: 0.7.12
  * Update .symbols file
  * Bump standards version: No changes needed

 -- Matthias Klumpp <email address hidden>  Wed, 22 Aug 2018 22:52:06 +0200

Available diffs

Superseded in buster-release on 2018-08-28
Superseded in sid-release on 2018-08-27
appstream-glib (0.7.10-1) unstable; urgency=medium

  * New upstream version: 0.7.10
  * Bump standards version: No changes needed
  * Drop tests-Fix-gcab-executable-requirement.patch: No longer needed
  * Update .symbols file

 -- Matthias Klumpp <email address hidden>  Mon, 30 Jul 2018 12:15:34 +0800

Available diffs

Superseded in buster-release on 2018-08-04
Superseded in sid-release on 2018-08-07
appstream-glib (0.7.7-2) unstable; urgency=medium

  * Team upload.
  * Have libappstream-glib-dev depend on libsoup2.4-dev and libyaml-dev
    to match pkgconfig file generated by meson >= 0.45. See bug 892956

 -- Jeremy Bicha <email address hidden>  Fri, 16 Mar 2018 17:20:23 -0400

Available diffs

Superseded in sid-release on 2018-03-17
appstream-glib (0.7.7-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 0.7.7
  * Update Vcs-* URLs for switch to Salsa
  * d/libappstream-glib8.symbols: Update symbols
  * Switch to dh compat level 11
  * d/copyright: Use secure URLs

  [ Iain Lane ]
  * New upstream version: 0.7.6
    - Builds properly (Closes: #890893)
    - Add support for release types
    - Do not deference invalid lists when parsing invalid desktop files (LP:
      #1744941)
    - Fix an invalid read when using as_app_parse_data() from Python
    - Never include '&' in attribute values
    - Add as_app_parse_data()
    - Add as_store_get_apps_by_provide()
    - Add more GObject Introspection annotations for Python
    - Support OARS v1.1 additions
    - Use pngquant to make the application icons take up less space
  * Fix meson options to drop 'enable', following upstream.
  * debian/control: Bump json-glib version, following upstream.
  * debian/libappstream-glib8.symbols: New symbols for these releases.

 -- Matthias Klumpp <email address hidden>  Thu, 15 Mar 2018 08:34:36 +0100

Available diffs

Superseded in buster-release on 2018-03-22
Superseded in sid-release on 2018-04-16
appstream-glib (0.7.4-1) unstable; urgency=medium

  * New upstream version 0.7.4
    - Resolves test failure on i386 (Closes: #878311)
  * Bump standards version: No changes needed
  * Drop no-flatpak-default-origin-fallback.patch: Applied upstream
  * Update .symbols file

 -- Matthias Klumpp <email address hidden>  Thu, 09 Nov 2017 18:38:46 +0100

Available diffs

Superseded in sid-release on 2017-11-10
appstream-glib (0.7.2-1) unstable; urgency=medium

  * New upstream version: 0.7.2
  * Drop all patches (applied upstream) except for
    tests-Fix-gcab-executable-requirement.patch, which was updated for the
    current release
  * no-flatpak-default-origin-fallback.patch: Don't assume Flatpak as
    origin if no origin is set
  * Bump standards version: No changes needed

 -- Matthias Klumpp <email address hidden>  Sun, 08 Oct 2017 19:02:42 +0200
Superseded in buster-release on 2017-11-15
Superseded in sid-release on 2017-11-10
appstream-glib (0.7.1-2) unstable; urgency=medium

  * Add conditionalize-speed-tests.patch: Don't run speed tests on slow
    architectures (Closes: #870833)
  * Add fix-tests.patch: Make tests work properly again
  * Add prefer-metainfo.patch: Prefer the metainfo directory, instead of
    defaulting to the legacy location
  * Add relax-id-constraints.patch: Validate component ID according to the
    specification, with relaxed constraints

 -- Matthias Klumpp <email address hidden>  Thu, 17 Aug 2017 19:18:34 +0200

Available diffs

Superseded in buster-release on 2017-08-23
Superseded in sid-release on 2017-08-17
appstream-glib (0.7.1-1) unstable; urgency=medium

  * New upstream version: 0.7.1
    - Install appdata-xml.m4 (Closes: #870710)
  * d/rules: Use fail-missing
  * Refresh gcab patch

 -- Matthias Klumpp <email address hidden>  Fri, 04 Aug 2017 17:18:48 -0400
Superseded in sid-release on 2017-08-05
appstream-glib (0.7.0-1) unstable; urgency=medium

  [ Iain Lane ]
  * New upstream version: 0.7.0
  * tests-Fix-gcab-executable-requirement.patch: Replace with
    latest version.

  [ Matthias Klumpp ]
  * Upload to unstable
  * Drop appdata-tools transitional package
  * Bump standards version: No changes needed
  * Depend on gobject-introspection for GIR dh addon

  [ Dan Nicholson ]
  * debian/rules: Pass --with gir to calculate ${gir:Depends}
    - Closes: #860836

 -- Matthias Klumpp <email address hidden>  Thu, 03 Aug 2017 15:20:12 -0400
Deleted in experimental-release (Reason: None provided.)
appstream-glib (0.7.0~git20170615-1) experimental; urgency=medium

  * [62bc645] New upstream version 0.7.0~git20170615
    + This is an upstream snapshot created with `git archive' from commit
      c74fa38af1cac2d259c62df4d4a0b852375bcbd3.
  * [82c3da3] debian/{control,rules}: Switch to meson. There's a 'configure'
    script, which debhelper uses by default. Pass '-Smeson' to force the meson
    build system.
  * [b54361c] debian/libappstream-glib8.symbols: Update for this release.
    as_get_resource() is dropped, but that is a leaked symbol that shouldn't
    have been exposed anyway. I'm letting it slide.
  * [6b73653] debian/control: Drop intltool. No longer used.
  * [fa5a9d7] Conditionally skip test which requires 'gcab' if it isn't
    installed
  * [55419a6] Run the tests

 -- Iain Lane <email address hidden>  Thu, 15 Jun 2017 17:51:33 +0100
Deleted in experimental-release (Reason: None provided.)
appstream-glib (0.6.13-1) experimental; urgency=medium

  * [e21c344] New upstream version 0.6.9
  * [be4e66a] gbp.conf: Set branch to experimental
  * [c5ab30a] New upstream version 0.6.13
    - Add a 'check-component' command to appstream-util
    - Add as_app_remove_category() and as_app_remove_kudo()
    - Add as_utils_guid_from_data()
    - Add functions for getting the AsApp and AsStore search match
    - Add support for icon scaling
    - Add support for <launchable>
    - Allow using the app origin as a search keyword
    - Validate kudos in AppData and AppStream files
    - Add initial support for Mozilla .xpi translations
    - Make content_rating required for any component with a 'Game' category
  * [71c4081] debian/patches: Drop, applied in this release.
  * [bdb05dc] debian/libappstream-glib8.symbols: Update with new symbols for these releases

 -- Iain Lane <email address hidden>  Fri, 12 May 2017 16:52:59 +0100

Available diffs

Superseded in experimental-release on 2017-05-16
appstream-glib (0.6.9-1) experimental; urgency=medium

  * New upstream version 0.6.9
    - Add AsFormat object and deprecate app_set_source_file() (Richard Hughes)
    - Do not set the AsApp state using the AsRelease state (Richard Hughes)
    - Fail to validate if any release is in the future (Richard Hughes)
    - Fail to validate if the release children are in the wrong order (Richard Hughes)
  * debian/patches/0001-as-node-Add-back-as_node_context_-get-set-_source_ki.patch:
    Backport patch from upstream to restore some symbols & keep ABI
    compatibility.
  * debian/libappstream-glib8.symbols: Update with new symbols.

 -- Iain Lane <email address hidden>  Tue, 28 Feb 2017 17:54:19 +0000

Available diffs

Superseded in buster-release on 2017-08-10
Published in stretch-release on 2017-02-11
Published in sid-release on 2017-02-05
appstream-glib (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <email address hidden>  Sun, 05 Feb 2017 16:09:19 +0100

Available diffs

Superseded in stretch-release on 2017-02-11
Superseded in sid-release on 2017-02-05
appstream-glib (0.6.7-1) unstable; urgency=medium

  * New upstream version: 0.6.7
    - Closes: #851646
  * Drop scan-metainfo.patch: Applied upstream
  * support-custom.patch: Support the <custom/> tag
  * Update .symbols file

 -- Matthias Klumpp <email address hidden>  Thu, 19 Jan 2017 20:34:06 +0100

Available diffs

Superseded in stretch-release on 2017-01-30
Superseded in sid-release on 2017-01-22
appstream-glib (0.6.6-1) unstable; urgency=medium

  * New upstream version: 0.6.6
  * scan-metainfo.patch: Scan for data in /usr/share/metainfo
    when composing collection data
  * Update symbols file

 -- Matthias Klumpp <email address hidden>  Thu, 22 Dec 2016 20:10:42 +0100

Available diffs

Superseded in stretch-release on 2017-01-02
Superseded in sid-release on 2016-12-24
appstream-glib (0.6.5-1) unstable; urgency=medium

  * New upstream version 0.6.5 (Closes: #844177)
    + Add app-removed, app-added and app-changed signals to AsStore
    + Add as_store_load_search_cache()
    + Add a 'watch' command to appstream-util
    + Allow only loading native languages when parsing AppStream
    + Allow the client to control what search fields are indexed
  * debian/patches: Drop, the only patch is applied upstream.
  * debian/libappstream-glib8.symbols: Update with new symbols in this
    release.
  * debian/compat, debian/control: Use debhelper compat level 10.

 -- Iain Lane <email address hidden>  Mon, 05 Dec 2016 17:32:08 +0000

Available diffs

Superseded in stretch-release on 2016-12-16
Superseded in sid-release on 2016-12-06
appstream-glib (0.6.4-2) unstable; urgency=medium

  * Build-depend on autoconf-archive (Closes: #837859)

 -- Matthias Klumpp <email address hidden>  Fri, 21 Oct 2016 13:58:32 +0200

Available diffs

Superseded in stretch-release on 2016-10-27
Superseded in sid-release on 2016-10-24
appstream-glib (0.6.3-1) unstable; urgency=medium

  * Imported Upstream version 0.6.3
  * debian/rules: Run dpkg-gensymbols with -c4, to error out on symbols file
    problems.
  * d/p/0001-Don-t-show-a-critical-warning-on-invalid-yaml-file.patch:
    Cherry-pick upstream patch to not error out on invalid Categories fields
    in the yaml input.

 -- Iain Lane <email address hidden>  Wed, 05 Oct 2016 17:31:37 +0100
Superseded in stretch-release on 2016-10-11
Superseded in sid-release on 2016-10-06
appstream-glib (0.6.2-1) unstable; urgency=medium

  * New upstream release: 0.6.2
  * Update symbols file

 -- Matthias Klumpp <email address hidden>  Wed, 31 Aug 2016 08:00:08 +0200
Superseded in stretch-release on 2016-09-05
Superseded in sid-release on 2016-09-03
appstream-glib (0.6.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0001-Fix-gcc-shift-warnings-on-32-bit-platforms.patch:
    Cherry-pick a patch from upstream to fix the AsAppSubsumeFlags enumeration
    on 32-bit architectures. (Closes: #834812)

 -- Iain Lane <email address hidden>  Fri, 19 Aug 2016 10:46:53 +0100
Superseded in sid-release on 2016-08-20
appstream-glib (0.6.1-1) unstable; urgency=medium

  * New upstream release: 0.6.1
  * Drop all patches: Applied upstream
  * Build-depend on gperf
  * Update symbols file

 -- Matthias Klumpp <email address hidden>  Tue, 16 Aug 2016 19:48:46 +0200
Superseded in sid-release on 2016-08-16
appstream-glib (0.5.17-1) unstable; urgency=medium

  * New upstream release: 0.5.17
    - Closes: #833293
  * no-redundant-monitor.patch: Fix redundant monitoring of files
  * read-component-types.patch: Read modern component type names
  * yaml-fix-component-types.patch: Fix reading of components that aren't apps
  * Update symbols file
  * Make dev package depend on GIR package (Closes: #833290)

 -- Matthias Klumpp <email address hidden>  Thu, 11 Aug 2016 19:54:06 +0200
Superseded in stretch-release on 2016-08-25
Superseded in sid-release on 2016-08-12
appstream-glib (0.5.16-1) unstable; urgency=medium

  * New upstream release: 0.5.16
  * Drop patches: Applied upstream

 -- Matthias Klumpp <email address hidden>  Wed, 29 Jun 2016 22:54:16 +0200
Superseded in stretch-release on 2016-07-05
Superseded in sid-release on 2016-06-30
appstream-glib (0.5.14-3) unstable; urgency=medium

  * Update yaml-icon-spec-compliant.patch to correctly set icon prefixes

 -- Matthias Klumpp <email address hidden>  Sat, 30 Apr 2016 10:18:42 +0200

Available diffs

Superseded in sid-release on 2016-04-30
appstream-glib (0.5.14-2) unstable; urgency=medium

  * yaml-icon-spec-compliant.patch: Correctly implement the DEP-11 YAML
    specification for icons (LP: #1576780).

 -- Matthias Klumpp <email address hidden>  Fri, 29 Apr 2016 18:22:54 +0200

Available diffs

Superseded in sid-release on 2016-04-30
appstream-glib (0.5.14-1) unstable; urgency=medium

  * New upstream release: 0.5.14
  * Drop all patches: Applied upstream
  * Update .symbols file
  * Use secure Vcs-* URLs

 -- Matthias Klumpp <email address hidden>  Mon, 25 Apr 2016 17:36:46 +0200

Available diffs

Superseded in stretch-release on 2016-05-05
Superseded in sid-release on 2016-04-26
appstream-glib (0.5.13-1) unstable; urgency=medium

  * New upstream release: 0.5.13
  * xappstreamignore.patch: Support the X-AppStream-Ignore field
    in .desktop files
  * Add build dependency: libjson-glib-dev
  * Update symbols file

 -- Matthias Klumpp <email address hidden>  Wed, 06 Apr 2016 14:09:09 +0200
Superseded in stretch-release on 2016-04-13
Superseded in sid-release on 2016-04-07
appstream-glib (0.5.10-2) unstable; urgency=medium

  * fix-parameter-order.patch:
    - Fix loading of AppStream metadata
  * support-mediabaseurl.patch:
    - Implement DEP-11 MediaBaseUrl support (Closes: #808993)

 -- Matthias Klumpp <email address hidden>  Fri, 04 Mar 2016 20:06:26 +0100
Superseded in stretch-release on 2016-03-10
Superseded in sid-release on 2016-03-06
appstream-glib (0.5.10-1) unstable; urgency=medium

  * New upstream release: 0.5.10
  * Update symbols file

 -- Matthias Klumpp <email address hidden>  Sun, 28 Feb 2016 18:28:42 +0100
Superseded in stretch-release on 2016-03-05
Superseded in sid-release on 2016-02-29
appstream-glib (0.5.8-1) unstable; urgency=medium

  * New upstream release: 0.5.8
  * Update symbols file

 -- Matthias Klumpp <email address hidden>  Thu, 04 Feb 2016 14:49:35 +0100

Available diffs

Superseded in stretch-release on 2016-02-10
Superseded in sid-release on 2016-02-06
appstream-glib (0.5.5-1) unstable; urgency=medium

  * New upstream release: 0.5.5
  * Update package descriptions
  * Update symbols file

 -- Matthias Klumpp <email address hidden>  Thu, 17 Dec 2015 08:20:14 +0100

Available diffs

Superseded in stretch-release on 2015-12-23
Superseded in sid-release on 2015-12-18
appstream-glib (0.5.4-1) unstable; urgency=medium

  * New upstream release: 0.5.4
  * Drop patches: Applied upstream
  * Update symbols file

 -- Matthias Klumpp <email address hidden>  Fri, 04 Dec 2015 16:44:18 +0100

Available diffs

Superseded in stretch-release on 2015-12-10
Superseded in sid-release on 2015-12-06
appstream-glib (0.5.2-2) unstable; urgency=medium

  * libappstream-glib-dev: Requires libgcab to be installed now

 -- Matthias Klumpp <email address hidden>  Thu, 05 Nov 2015 19:24:12 +0100

Available diffs

Superseded in sid-release on 2015-11-06
appstream-glib (0.5.2-1) unstable; urgency=medium

  * New upstream release: 0.5.2
    - Closes: #803327
  * Tighten dependency on GLib
  * 01_Strip-paths-when-decompressing-fw.patch: Fix firmware update support
  * Drop 01_fix-dep11.patch: Applied upstream
  * Add build-dependency on libgcab-dev to enable firmware support

 -- Matthias Klumpp <email address hidden>  Mon, 02 Nov 2015 18:26:34 +0100
Superseded in stretch-release on 2015-11-11
Superseded in sid-release on 2015-11-03
appstream-glib (0.5.1-1) unstable; urgency=medium

  * New upstream release: 0.5.1
  * 01_fix-dep11.patch: Make asglib process DEP-11 data again
  * Drop appdata-validate: Nobody should use it anymore
  * Disable tests

 -- Matthias Klumpp <email address hidden>  Wed, 14 Oct 2015 18:56:58 +0200
Superseded in stretch-release on 2015-10-24
Superseded in sid-release on 2015-10-24
appstream-glib (0.4.1-1) unstable; urgency=medium

  * New upstream bugfix release: 0.4.1
    - Closes: #791860
  * Add dependency on libarchive-dev to libappstream-glib-dev
    (Closes: #789578)
  * Drop patches: Applied upstream
  * Update symbols file

 -- Matthias Klumpp <email address hidden>  Mon, 20 Jul 2015 20:12:02 +0200
Superseded in stretch-release on 2015-07-26
Superseded in sid-release on 2015-07-21
appstream-glib (0.4.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release: 0.4.0
    - Closes: #787590
  * Drop unneeded build dependencies
  * Enable unittests and autoreconf again
  * Fix autogen run with current intltool
  * Add symbols file for appstream-glib

 -- Matthias Klumpp <email address hidden>  Fri, 05 Jun 2015 14:20:32 +0200
Deleted in experimental-release (Reason: None provided.)
appstream-glib (0.3.4-1) experimental; urgency=medium


  * New upstream unstable release: 0.3.4
  * Make appstream-util break appdata-tools (Closes: #768269)

 -- Matthias Klumpp <email address hidden>  Tue, 03 Feb 2015 20:38:42 +0100

Available diffs

Superseded in experimental-release on 2015-02-04
appstream-glib (0.3.2-2) experimental; urgency=medium


  * Provide appdata-tools transitional package (Closes: #768269)
    - Thanks to Iain Lane for the patch!

 -- Matthias Klumpp <email address hidden>  Sun, 01 Feb 2015 16:32:10 +0100
Superseded in stretch-release on 2015-06-11
Superseded in sid-release on 2015-12-24
appstream-glib (0.3.2-1) unstable; urgency=medium


  * New upstream release: 0.3.2

 -- Matthias Klumpp <email address hidden>  Tue, 04 Nov 2014 18:17:58 +0100

Available diffs

Published in jessie-release on 2014-10-03
Superseded in sid-release on 2014-11-06
appstream-glib (0.3.0-1) unstable; urgency=medium


  * Initial release (Closes: #752900)

 -- Matthias Klumpp <email address hidden>  Tue, 23 Sep 2014 16:50:18 +0200
142 of 42 results